Welcome Guest ( Log In | Register )

Reply to this topicStart new topic
CELT decoder component
post May 16 2011, 13:21
Post #1

foobar2000 developer

Group: Admin
Posts: 3348
Joined: 30-September 01
Member No.: 84


CELT codec home page: http://www.celt-codec.org/

Not really a third party component, but it feels like the discussion thread belongs in here rather than in one of the other forums
Go to the top of the page
+Quote Post
post May 20 2011, 07:24
Post #2

Group: Members
Posts: 28
Joined: 20-May 11
Member No.: 90802

this component does not work for me. I used CELT 0.10.0 to encode, which played fine in rhythmbox. in foobar2000, I was able to add a bunch of files to the playlist, but none of the CELT files played. the response was something like "unsupported or corrupted file".
Go to the top of the page
+Quote Post
post May 20 2011, 12:34
Post #3

Group: Developer (Donating)
Posts: 2444
Joined: 19-October 01
From: Finland
Member No.: 322

Your encoder version is too old, the component is for the latest bitstream version. To quote celt-codec.org: "Since CELT is still in development, most new releases (even minor ones) change the bit-stream, so compatibility is not preserved."
Go to the top of the page
+Quote Post
post May 22 2011, 01:59
Post #4

Group: Members
Posts: 281
Joined: 29-April 10
Member No.: 80274

Does that mean that now (0.11.2) encoded celt audio, may not decode in next celt revision?
Go to the top of the page
+Quote Post
post Jun 23 2011, 08:44
Post #5

Group: Members
Posts: 128
Joined: 3-January 04
Member No.: 10920

Celt developers are now preparing for a bit stream freeze. meaning if some bugs which may greatly improve codec quality or performance will show up compatibility with current revision might break. They would like to avoid this as I understand.
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:


RSS Lo-Fi Version Time is now: 9th October 2015 - 18:06